Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000631Documentation, Examples, and Web SiteWriting with Informpublic2011-03-30 11:012014-05-07 07:38
ReporterVictor Gijsbers 
Assigned Tograham 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000631: Inform misinterprets legal I6 code as end of I6 inclusion
DescriptionI6 inclusions start with (- and end with -). However, as the program below shows, legal I6 code can contain the sequence -), because it can contain the sequence --).

Inform 7 should recognise that the sequence --) is a part of the Inform 6 inclusion. However, it doesn't recognise this, and fails to compile the program below.
Minimal Source Text To Reproduce
"Test" by Victor Gijsbers

Test is a room.

Include (- [ MyRule i;
   for (i=3 : i>0 : i--) print "K";
]; -)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
jmcgrew (administrator)
2011-03-30 14:08

This limitation is hinted at in WI 25.18, with a warning against using "(+" in I6 inclusions, but it could stand to be clearer.
Victor Gijsbers (reporter)
2011-03-31 06:10
edited on: 2011-03-31 06:13

Surely, simply checking whether there is another - before the sequence is a better way of dealing with this? I don't want to turn this into a "it's a bug; it's feature" discussion, but as far as I can see there is no reason why it couldn't just be solved.

And note that Inform's own I6 code triggers this 'bug': I was trying to include the core Keyboard routine, but that contains the '--)' sequence. It is rather inelegant that an Inform 7 project cannot legally include code that it actually uses!

On the other hand, sure, the user can solve this by entering one additional space, so I can see why this is not exactly a high priority issue.

emshort (administrator)
2011-05-17 13:18

We've added a note to the documentation.

- Issue History
Date Modified Username Field Change
2011-03-30 11:01 Victor Gijsbers New Issue
2011-03-30 14:07 jmcgrew Project Core Inform => Documentation, Examples, and Web Site
2011-03-30 14:08 jmcgrew Note Added: 0001117
2011-03-30 14:08 jmcgrew Severity serious => mild
2011-03-30 14:08 jmcgrew Status new => acknowledged
2011-03-30 14:08 jmcgrew Category Source text and punctuation => Writing with Inform
2011-03-31 06:10 Victor Gijsbers Note Added: 0001119
2011-03-31 06:13 Victor Gijsbers Note Edited: 0001119 View Revisions
2011-04-15 15:21 EmacsUser Status acknowledged => confirmed
2011-05-17 13:18 emshort Note Added: 0001170
2011-05-17 13:18 emshort Assigned To => graham
2011-05-17 13:18 emshort Status confirmed => resolved
2011-05-17 13:18 emshort Resolution open => fixed
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker